---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/History
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>Resource URI

Collection of the History items for a specified worker:

```
/workers/{id}/history
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to the worker. Example: Worker task WID. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N10055_N10016_N10001"></a>Description

The Workers/History resource references a collection of history items for a specific worker. You can only view the items permitted by the security profile of the current user.

Workers/History supports this method:

-   [GET Workers/History](/wcp_docs/dan1370797992673.html#GET)


## <a id="GET"></a>GET Workers/History

-   <b>Secured by:</b>

    Worker Data: Historical Staffing Information



No request body required or available for this method. Use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Maximum</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100EF_N10016_N10001"></a>GET Workers/History Examples

This GET request retrieves the worker history items for the specified user, Betty Liu (id=3bcc416214054db6911612ef25d51e9f):

```
GET /workers/3bcc416214054db6911612ef25d51e9f/history
```

The response is a collection of history items for the specified worker, in JSON format (1 history item in the response is shown):

```
{
   "total": 16,
   "data":    [
            {
         "descriptor": "Hire: Betty Liu",
         "id": "d32900f8d0f649f9aac3cf82c0e26852",
         "href": "https://{Workday REST API Endpoint}/businessProcesses/d32900f8d0f649f9aac3cf82c0e26852",
         "dueDate": "2007-06-20",
         "effectiveDate": "2000-01-01",
         "initiator":          {
            "descriptor": "Logan McNeil",
            "id": "3aa5550b7fe348b98d7b5741afc65534",
            "href": "https://{Workday REST API Endpoint}/workers/3aa5550b7fe348b98d7b5741afc65534"
         },
         "status": "Successfully Completed",
         "subject":          {
            "descriptor": "Director, Payroll Operations - Betty Liu",
            "id": "3db5d9e1081e470bb98d5a3d15b67180"
         }
      },
    ...
 ]
}
       
```

